require_relative 'taiyoji/invalid_longitude_error'

module Taiyoji
  DEGREES_PER_HOUR = 15.0

  def self.solar_offset longitude
    raise Taiyoji::InvalidLongitudeError unless (-180..180).include? longitude

    (longitude / DEGREES_PER_HOUR * 60 * 60).round
  end
end
